@echo off
rem *************************************************************** {COPYRIGHT-TOP}
rem * Licensed Materials - Property of IBM
rem * Restricted Materials of IBM
rem * IBM Tivoli Usage and Accounting Manager
rem * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
rem * (c) Copyright IBM Corp. 2004, 2008 All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication or
rem * disclosure restricted by GSA ADP Schedule Contract with
rem * IBM Corp.
rem **************************************************************** {COPYRIGHT-END}

setlocal

rem Check to see if TUAM_HOME is set before using.
if "%TUAM_HOME%" ==""  goto ERROR

rem Stop eWAS
echo Stopping eWAS..... this could take a few minutes.
echo .
call "%TUAM_HOME%/ewas/bin/stopServer.bat" server1

echo Undoing fix...
echo .  
COPY "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\binding\RatesBean.class.iz32914" "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\binding\RatesBean.class"
COPY "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\auiml\Rates.class.iz32914" "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\auiml\Rates.class"
COPY "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\auiml\Rates.auiml.iz32914" "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\auiml\Rates.auiml"

echo cleaning up...
DEL "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\binding\RatesBean.class.iz32914"
DEL "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\auiml\Rates.class.iz32914"
DEL "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\auiml\Rates.auiml.iz32914"

rem Restart eWas
echo . 
echo Starting eWAS....
echo .  
call "%TUAM_HOME%/ewas/bin/startServer.bat" server1
echo . 
echo Fix has been removed sucessfully.
goto DONE

:ERROR
echo Your environment variable TUAM_HOME is not set.   Set the TUAM_HOME' variable to the install location of TUAM 7.1 and then rerun fix.  

:DONE
endlocal
