#!/bin/sh

# ------------------------------------------------------------------------ {COPYRIGHT-TOP}
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# IBM Tivoli Usage and Accounting Manager
# 5724-O33, 5765-UAV, 5765-UA7, 44E7863
# (c) Copyright IBM Corp. 2004, 2008 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# ------------------------------------------------------------------------ {COPYRIGHT-END}

if [ "$TUAM_HOME" != "" ]
then
   echo Stopping eWAS...
   "$TUAM_HOME/ewas/bin/stopServer.sh" server1
   echo Undoing fix..

cp "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/classes/com/ibm/tivoli/tuam/console/binding/RatesBean.class.iz32914" "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/classes/com/ibm/tivoli/tuam/console/binding/RatesBean.class"
cp "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/classes/com/ibm/tivoli/tuam/console/auiml/Rates.class.iz32914" "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/classes/com/ibm/tivoli/tuam/console/auiml/Rates.class"
cp "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/classes/com/ibm/tivoli/tuam/console/auiml/Rates.auiml.iz32914" "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/classes/com/ibm/tivoli/tuam/console/auiml/Rates.auiml"

rm "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/classes/com/ibm/tivoli/tuam/console/binding/RatesBean.class.iz32914"
rm "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/classes/com/ibm/tivoli/tuam/console/auiml/Rates.class.iz32914"
rm "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/classes/com/ibm/tivoli/tuam/console/auiml/Rates.auiml.iz32914"

   echo Restarting eWAS...
   "$TUAM_HOME/ewas/bin/startServer.sh" server1
else
   echo Your environment variable TUAM_HOME is not set.  Set the TUAM_HOME variable to the install location of TUAM 7.1 and then rerun fix. 
fi
